import {describe, test, expect, vi} from 'vitest'
import AdapterOfPacks from "@adapters/AdapterOfPacks.js"
import axios from 'axios'

vi.mock('axios')

describe('AdapterOfMachines', () => {
  axios.post.mockResolvedValue({data: []})

  test('AdapterOfMachines should be a object', () => {
    const adapterOfMachines = new AdapterOfPacks('')
    expect(typeof adapterOfMachines).toBe('object')
  })

})